#!/bin/sh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2009, 2012 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# IBM_COPYRIGHT_END

# If there is HscIPAddr string in the result of plinux command line '/usr/sbin/serv_config -l', we think it is managed by IVM/HMC/SDMC, should not be standalone systems, else it is stand-alone system.
#

/usr/sbin/serv_config -l |grep HscIPAddr
exit_status=$?

if [ "$exit_status" -ne 0 ]; then
    echo "this is stand-alone system"
	exit 0
else
    echo "this is virtual lpar"
	exit 1
fi


