@echo OFF
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2009, 2011 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.

set MAIN_PROFILE=lwi\runtime\USMiResource
set JARFILE=com.ibm.director.core.common_*.jar
set MAIN_CLASS=com.ibm.sysmgt.utils.skm.cli.ImportKey

REM Use LWI's setup to get java_home
setlocal
set CURRENTDIR=%~d0%~p0
set ROOTDIR=%~d0%~p0..\
set SETUPDIR=%ROOTDIR%lwi\bin
set JAVA_HOME=%ROOTDIR%jre

call "%SETUPDIR%\setupCmdLine.bat"

REM Figure out the path, regardless of patch level
for %%A in ("%ROOTDIR%%MAIN_PROFILE%\eclipse\plugins\%JARFILE%") do set KERNELPATH=%%A

"%JAVA_PROGRAM%" -classpath "%KERNELPATH%"  %MAIN_CLASS% %1 %2 %3 %4 %5 %6 %7 %8 %9
exit /B %errorlevel%
