#!/bin/sh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
if [ -f /etc/ibm/director/twgserver/twgserver ]
then
  source /etc/ibm/director/twgserver/twgserver
  PATH=$PATH:$SERVER_HOME/bin
fi
echo "Checking user lock state ..."
state=1
if [ "$1" == os1. ]; then 
if ( smcli userlocked -r OS -u "$2" | grep "$2" | grep "= true" ) then
echo "user "$2" is locked"
state=0
fi
elif [ "$1" == ldap1. ]; then
if ( smcli userlocked -r LDAP -u "$2" | grep "$2" | grep "= true" ) then
echo "user "$2" is locked"
state=0
fi
else
if ( smcli userlocked -u "$2" | grep "$2" | grep "= true" ) then
echo "user "$2" is locked"
state=0
fi
fi
echo "Lock state : $state"
exit $state
