@echo off
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2010, 2011 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.
REM IBM_COPYRIGHT_END


REM 

REM Find the installation directory for the Systems Director Server
set REG_FILE=%TEMP%\server.reg
set REG_KEY=HKEY_LOCAL_MACHINE\SOFTWARE\IBM\IBM Director Server\CurrentVersion
if exist %REG_FILE% del %REG_FILE%
start /w regedit /e "%REG_FILE%" "%REG_KEY%"
for /f  "usebackq tokens=1-3* delims==" %%i in (`type "%REG_FILE%" ^| find "Root"`) do (
    if /%%i==/"Root" set Root=%%j
)
set Root=%Root:\\=\%
set DIRECTOR_HOME=%Root:"=%

REM Find the installation directory for the Systems Director Common Agent
set REG_FILE=%TEMP%\agent.reg
set REG_KEY32=HKEY_LOCAL_MACHINE\SOFTWARE\IBM\IBM Director Agent\CurrentVersion
set REG_KEY64=HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\IBM\IBM Director Agent\CurrentVersion
if exist %REG_FILE% del %REG_FILE%
start /w regedit /e "%REG_FILE%" "%REG_KEY32%"
if not exist "%REG_FILE%"  start /w regedit /e "%REG_FILE%" "%REG_KEY64%"
for /f  "usebackq tokens=1-3* delims==" %%i in (`type "%REG_FILE%" ^| find "Root"`) do (
    if /%%i==/"Root" set Root=%%j
)
set Root=%Root:\\=\%
set AGENT_HOME=%Root:"=%

for /f "usebackq" %%I in (`dir /b/od "%DIRECTOR_HOME%lwi\runtime\USMiMain\eclipse\plugins\com.ibm.director.core.kernel_*"`) do (
	set LOGCOLLECTOR_HOME=%%~I
)
set LOGCOLLECTOR_HOME=%DIRECTOR_HOME%lwi\runtime\USMiMain\eclipse\plugins\%LOGCOLLECTOR_HOME%
set CLASS_PATH="%LOGCOLLECTOR_HOME%\lib\commons-cli-1.2.jar";"%LOGCOLLECTOR_HOME%\classes\core-kernel.jar"

"%DIRECTOR_HOME%jre\bin\java" -cp %CLASS_PATH% com.ibm.director.logcollector.LogCollector %*
