@echo OFF
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2011 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.
SETLOCAL

SET TWG_DIRECTORY_ROOT=%~dp0\..
CD /D "%TWG_DIRECTORY_ROOT%"
SET TWG_DIRECTORY_ROOT=%CD%
SET AM_DIRECTORY_RUNTIME=%TWG_DIRECTORY_ROOT%\lwi\runtime
SET AM_DIRECTORY=%AM_DIRECTORY_RUNTIME%\agentmanager
SET AM_DIRECTORY_DATABASE=%AM_DIRECTORY_RUNTIME%\core\DATABASE
SET AM_DIRECTORY_CERTS=%AM_DIRECTORY%\toolkit\certs
SET	AM_DIRECTORY_LOG=%TWG_DIRECTORY_ROOT%\log
SET TIVOLI_DIRECTORY_CERTS=%AM_DIRECTORY%\eclipse\plugins\com.ibm.tivoli.cas.manager\certs
SET AM_DIRECTORY_DATA=%TWG_DIRECTORY_ROOT%\data\AMData

SET returnValue=0

SET /P choi=do you want recover the environment to reconfigure the Agent Manager[Y,N]? 
IF /I %choi% NEQ Y (
    ECHO "quit the recover environment programme."
	PAUSE
	EXIT
)

SET fileVariable=%TWG_DIRECTORY_ROOT%\proddata\agentmanagerconfig.properties
IF EXIST %fileVariable% (
	DEL /Q "%fileVariable%"
	SET /A returnValue+=%ERRORLEVEL%
REM	IF %ERRORLEVEL% EQU 0 (
REM	ECHO "The agentmanagerconfig.properties file is deleted successfully."
REM	)
)

SET dirVariable=%AM_DIRECTORY_DATABASE%
IF EXIST %dirVariable% (
	RD /S /Q "%dirVariable%"
	SET /A returnValue+=%ERRORLEVEL%
REM	IF %ERRORLEVEL% EQU 0 (
REM	ECHO "The files in DATABASE directory are deleted successfully."
REM	)
)

SET dirVariable=%AM_DIRECTORY_CERTS%
IF EXIST %dirVariable% (
	DEL /Q "%dirVariable%"
	SET /A returnValue+=%ERRORLEVEL%
REM	IF %ERRORLEVEL% EQU 0 (
REM	ECHO "The files in CERTS directory are deleted successfully."
REM	)
)

SET fileVariable=%AM_DIRECTORY_LOG%\agentmanagerlock.lck
IF EXIST %fileVariable% (
	DEL /Q "%fileVariable%"
	SET /A returnValue+=%ERRORLEVEL%
REM	IF %ERRORLEVEL% EQU 0 (
REM	ECHO "The agentmanagerlock.lck file is deleted successfully."
REM	)
)

SET dirVariable=%TIVOLI_DIRECTORY_CERTS%
IF EXIST %dirVariable% (
	DEL /Q "%dirVariable%"
	SET /A returnValue+=%ERRORLEVEL%
REM	IF %ERRORLEVEL% EQU 0 (
REM	ECHO "The files in TIVOLI CERTS directory are deleted."
REM	) 
)

SET dirVariable=%AM_DIRECTORY_DATA%
IF EXIST %dirVariable% (
	RD /S /Q "%dirVariable%"
	SET /A returnValue+=%ERRORLEVEL%
REM	IF %ERRORLEVEL% EQU 0 (
REM	ECHO "The files in AMData directory are deleted."
REM	)
)

IF %returnValue%==0 (
    ECHO "Clean the envrionment successfully."
) ELSE ( ECHO "Clean the envrionment unsuccessfully, please delete the below files which aren't deleted manually"
)

PAUSE
